Web lists-archives.com

Re: fuse -> fuse3




On Dec 25 2018, "Theodore Y. Ts'o" <tytso@xxxxxxx> wrote:
> On Fri, Dec 21, 2018 at 11:03:34PM +0100, Oibaf wrote:
>> The package fuse3 is available since awhile in sid/buster.
>> Their users however are still using old fuse (v2), e.g. sshfs-fuse.
>> According to this:
>> https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=912528
>> fuse3 is not co-installable with fuse, but a patch is available.
>> 
>> So is there a chance this get fixed and sshfs-fuse and other package can be
>> updated to use fuse3 for buster?
>
> Thanks for mentioning it!  I didn't even *know* about the existence of
> fuse3.  Is libfuse3 API compatible with fuse2?

No, but in most cases the necessary changes are not too invasive.

> P.S.  If fuse3 and fuse are not co-installable, we really should have
> managed this as a formal buster migration earlier.

They are co-installable in principle, this is just a bug in packaging.

Best,
-Nikolaus

-- 
GPG Fingerprint: ED31 791B 2C5C 1613 AF38 8B8A D113 FCAC 3C4E 599F

             »Time flies like an arrow, fruit flies like a Banana.«